# Uses of Class
org.apache.commons.math3.optim.univariate.UnivariatePointValuePair

Packages that use UnivariatePointValuePair
Package
Description
org.apache.commons.math3.optim.nonlinear.scalar
Algorithms for optimizing a scalar function.
org.apache.commons.math3.optim.univariate
One-dimensional optimization algorithms.

## Uses of UnivariatePointValuePair in org.apache.commons.math3.optim.nonlinear.scalar

Methods in org.apache.commons.math3.optim.nonlinear.scalar that return UnivariatePointValuePair
Modifier and Type
Method
Description
`UnivariatePointValuePair`
LineSearch.`search(double[] startPoint, double[] direction)`
Finds the number `alpha` that optimizes `f(startPoint + alpha * direction)`.

## Uses of UnivariatePointValuePair in org.apache.commons.math3.optim.univariate

Methods in org.apache.commons.math3.optim.univariate that return UnivariatePointValuePair
Modifier and Type
Method
Description
`protected UnivariatePointValuePair`
BrentOptimizer.`doOptimize()`
Performs the bulk of the optimization algorithm.
`protected UnivariatePointValuePair`
MultiStartUnivariateOptimizer.`doOptimize()`
Performs the bulk of the optimization algorithm.
`UnivariatePointValuePair[]`
MultiStartUnivariateOptimizer.`getOptima()`
Gets all the optima found during the last call to `optimize`.
`UnivariatePointValuePair`
MultiStartUnivariateOptimizer.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.
`UnivariatePointValuePair`
UnivariateOptimizer.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.
Methods in org.apache.commons.math3.optim.univariate with parameters of type UnivariatePointValuePair
Modifier and Type
Method
Description
`boolean`
SimpleUnivariateValueChecker.`converged(int iteration, UnivariatePointValuePair previous, UnivariatePointValuePair current)`
Check if the optimization algorithm has converged considering the last two points.
Constructor parameters in org.apache.commons.math3.optim.univariate with type arguments of type UnivariatePointValuePair
Modifier
Constructor
Description
``
`BrentOptimizer(double rel, double abs, ConvergenceChecker<UnivariatePointValuePair> checker)`
The arguments are used implement the original stopping criterion of Brent's algorithm.
`protected`
`UnivariateOptimizer(ConvergenceChecker<UnivariatePointValuePair> checker)`